routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/welcome', function () {
    return view('welcome');
})->name('welcome');

Route::get('/', [App\Http\Controllers\HomeController::class, 'index']);

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::get('/home', 'App\Http\Controllers\HomeController@index')->name('home')->middleware('auth:employe');

Route::group(['middleware' => 'auth:employe'], function () {
    Auth::routes();

    Route::get('vehicule', [App\Http\Controllers\VehiculeController::class, 'index'], function () {
        return view('vehicules.index');
    })->name('vehicule');

    Route::get('vehicule/search', 'App\Http\Controllers\VehiculeController@indexFiltering')->name('searchv');

	Route::get('contrat', [App\Http\livewire\Contrats::class, 'render'], function () {
		return view('contrats.render');
	})->name('contrat');

    Route::get('contrat/search', 'App\Http\livewire\Contrats@indexFiltering')->name('search');

    Route::get('mpaper', function () {
        return view('contrats.paper');
    });

    Route::get('client', [App\Http\livewire\clients::class, 'render'], function () {
        return view('clients.render');
    })->name('client');


    Route::resource('entreprises', 'App\Http\Controllers\EntrepriseController');
    Route::resource('admins', 'App\Http\Controllers\AdminController');
    Route::resource('employes', 'App\Http\Controllers\EmployeController');
    Route::resource('clients', 'App\Http\Controllers\ClientController');
    Route::resource('conducteurs', 'App\Http\Controllers\ConducteurController');
    Route::resource('vehicules', 'App\Http\Controllers\VehiculeController');
    Route::resource('photos', 'App\Http\Controllers\PhotoController');
    Route::resource('contrats', 'App\Http\livewire\Contrats');
    Route::resource('designunits', 'App\Http\Controllers\DesignunitController');
    Route::resource('designmontants', 'App\Http\Controllers\DesignmontantController');
    Route::resource('montants', 'App\Http\Controllers\MontantController');
    Route::resource('checkouts', 'App\Http\Controllers\CheckoutController');
    Route::resource('rapports', 'App\Http\Controllers\RapportController');


    Route::get('/contrats/{contrat}/{vehicule}/{client}', 'App\Http\Controllers\ContratController@show')->name('contrats.showa');
    Route::get('/edit/contrats/{contrat}/{vehicule}/{client}', 'App\Http\Controllers\ContratController@edit')->name('contrats.edita');

    Route::get('/contrats/print/{contrat}', 'App\Http\livewire\Contrats@print')->name('contrats.print');

    Route::get('/contrats/printpdf/{contrat}', 'App\Http\livewire\Contrats@printpdf')->name('contrats.printpdf');

    Route::get('/disponibilite/update', 'App\Http\Controllers\VehiculeController@updateDisponibilite')->name('vehicules.update.disponibilite');
    Route::get('/climatisation/update', 'App\Http\Controllers\VehiculeController@updateClimatisation')->name('vehicules.update.climatisation');
});

Route::group(['middleware' => 'auth:employe'], function () {
    Auth::routes();
    Route::resource('user', 'App\Http\Controllers\UserController', ['except' => ['show']]);
    Route::get('profile', ['as' => 'profile.edit', 'uses' => 'App\Http\Controllers\ProfileController@edit']);
    Route::put('profile', ['as' => 'profile.update', 'uses' => 'App\Http\Controllers\ProfileController@update']);
    Route::put('profile/password', ['as' => 'profile.password', 'uses' => 'App\Http\Controllers\ProfileController@password']);
});

Auth::routes();

Route::get('/login/admin', 'App\Http\Controllers\Auth\LoginController@showAdminLoginForm');
Route::get('/login/employe', 'App\Http\Controllers\Auth\LoginController@showEmployeLoginForm');

Route::post('/login/admin', 'App\Http\Controllers\Auth\LoginController@adminLogin');
Route::post('/login/employe', 'App\Http\Controllers\Auth\LoginController@employeLogin');

Route::get('loginadmin', function () {
    return view('auth.loginadmin');
})->name('loginadmin');

Route::post('/save', [
    'uses' => 'App\Http\Controllers\VehiculeController@store',
    'as' => 'vehicules',
]);

app/Models/Client.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class Client extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    protected $fillable = [
        'nom', 'prenom',
        'adresse', 'ville',
        'tel', 'email', 'password',
        'dateNaissance', 'lieuNaissance',
        'cin', 'nationalite', 'dateEmit',
        'permisConduire', 'dateEmitPermis', 'delivrePermis',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];


    public function vehicules()
    {
        return $this->belongsToMany(Vehicule::class, 'contrat', 'client_id', 'vehicule_matricule')
            ->withTimestamps()
            ->withPivot(
                'id',
                'client_id',
                'vehicule_matricule',
                'livraison',
                'reprise',
                'dateDebut',
                'dateFin',
                'carburationD',
                'carburationR',
                'kmD',
                'kmR',
                'nbrJour',
                'prolongation'
            )
            ->as('contrats');
    }

    public function conducteur()
    {
        return $this->hasOne(Conducteur::class);
    }
}

app/Http/Controllers/ClientController.php
<?php

namespace App\Http\Controllers;

use App\Models\Client;
use App\Models\Conducteur;
use Illuminate\Http\Request;

class ClientController extends Controller
{
    public function addClient(Request $request){
        $condController = new ConducteurController();
        $conducteur = $condController->addConducteur($request);
        $client = new Client();
        $client->nom = $request->nom;
        $client->prenom = $request->prenom;
        $client->adresse = $request->adresse;
        $client->ville = $request->ville;
        $client->tel = $request->tel;
        $client->email = $request->email;
        $client->dateNaissance = $request->dateNaissance;
        $client->lieuNaissance = $request->lieuNaissance;
        $client->cin = $request->cin;
        $client->nationalite = $request->nationalite;
        $client->dateEmit = $request->dateEmit;
        $client->permisConduire = $request->permisConduire;
        $client->dateEmitPermis = $request->dateEmitPermis;
        $client->delivrePermis = $request->delivrePermis;
        $client->save();
        $client->conducteur()->save($conducteur);
        return $client;
    }

    public function updateClient(Request $request, Client $client, Conducteur $conducteur){
        $condController = new ConducteurController();
        $conducteur = $condController->updateConducteur($request, $conducteur);
        $client->nom = $request->nom;
        $client->prenom = $request->prenom;
        $client->adresse = $request->adresse;
        $client->ville = $request->ville;
        $client->tel = $request->tel;
        $client->email = $request->email;
        $client->dateNaissance = $request->dateNaissance;
        $client->lieuNaissance = $request->lieuNaissance;
        $client->cin = $request->cin;
        $client->nationalite = $request->nationalite;
        $client->dateEmit = $request->dateEmit;
        $client->permisConduire = $request->permisConduire;
        $client->dateEmitPermis = $request->dateEmitPermis;
        $client->delivrePermis = $request->delivrePermis;
        $client->update();
        //Tags::whereId($id)->update($tags_data);
        $conducteur->update();
        //Conducteur::whereId($conducteur->id)->update($conducteur);
        //$client->conducteur()->update($conducteur);
        return $client;
    }

}

app/Http/Livewire/Clients.php
<?php

namespace App\Http\Livewire;

use App\Models\Client;
use Livewire\Component;

class Clients extends Component
{
    public function render()
    {
        return view('clients.clients', ['clients' => Client::latest()->paginate(4)]);
    }
}

resources/views/clients/clients.blade.php
@extends('layouts.app', ['activePage' => 'Clients', 'titlePage' => __('Clients')])

@section('content')
  <div class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-md-12">
            <div class="card ">
              <div class="card-header card-header-primary">
                <h4 class="card-title">{{ __('Liste des Clients') }}</h4>
                <!--<p class="card-category">{{ __('Liste clients') }}</p>-->
              </div>
              <div class="card-body ">
                <div>
                    @if (session()->has('message'))
                        <div class="alert alert-success">
                            {{ session('message') }}
                        </div>
                    @endif
                </div>
                <div class="table-responsive">
                    <table class="table">
                        <thead class="text-primary">
                            <th> Nom </th>
                            <th> Prenom </th>
                            <th> CIN </th>
                            <th> Telephone </th>
                            <th> Actions </th>
                        </thead>
                        <tbody>
                            @foreach ($clients as $client)
                                <tr>
                                    <td>
                                        {{ $client->nom }}
                                    </td>
                                    <td>
                                        {{ $client->prenom }}
                                    </td>
                                    <td>
                                        {{ $client->cin }}
                                    </td>
                                    <td>
                                        {{ $client->tel }}
                                    </td>
                                    <td>
                                        <form action="{{ route('clients.destroy', $client) }}"
                                            method="POST">
                                            <a class="btn btn-info btn-fab btn-fab-mini btn-round"
                                                href="{{ route('clients.show', $client) }}">
                                                <i class="material-icons">description</i>
                                            </a>

                                            <a class="btn btn-success btn-fab btn-fab-mini btn-round"
                                                href="{{ route('clients.edit', $client) }}">
                                                <i class="material-icons">edit</i>
                                            </a>

                                            @csrf
                                            @method('DELETE')
                                            <button type="submit"
                                                class="btn btn-danger btn-fab btn-fab-mini btn-round show_confirm">
                                                <i class="material-icons">delete</i>
                                            </button>
                                        </form>
                                    </td>

                                </tr>

                            @endforeach
                        </tbody>
                    </table>
                    {{ $clients->render('pagination::bootstrap-4') }}
                    <!-- simple-bootstrap-4 -->
                </div>
              </div>
            </div>
        </div>
      </div>
    </div>
  </div>
@endsection